import { PersistenceProvider } from "./PersistenceProvider";
import { PersistenceRecord } from "./PersistenceRecord";
export declare class PersistenceProviderMock implements PersistenceProvider {
    persistenceObject: {
        [x: string]: PersistenceRecord;
    };
    updateAndGet(collectionName: string, recordName: string, updaterFn: (record: PersistenceRecord) => PersistenceRecord): Promise<PersistenceRecord>;
    get(collectionName: string, recordName: string): Promise<PersistenceRecord>;
    setDebugFn(debugFn: (msg: string) => void): void;
    getRecord(collectionName: string, recordName: string): Promise<PersistenceRecord>;
    private runTransaction;
    private saveRecord;
    private getKey;
    private createEmptyRecord;
    private delay;
}
