"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ow_1 = require("ow");
var PersistenceRecord;
(function (PersistenceRecord) {
    function validate(r) {
        ow_1.default(r, "record", ow_1.default.object);
        ow_1.default(r.u, "record.u", ow_1.default.array); // checking item types is a costly operation so we skip it
    }
    PersistenceRecord.validate = validate;
})(PersistenceRecord = exports.PersistenceRecord || (exports.PersistenceRecord = {}));
//# sourceMappingURL=PersistenceRecord.js.map