export interface FirestoreEquivalent {
    runTransaction(tCallback: (transaction: any) => Promise<void>): Promise<void>;
    collection(name: string): {
        doc(name: string): FirestoreEquivalent.DocumentReferenceEquivalent;
    };
}
export declare namespace FirestoreEquivalent {
    interface DocumentReferenceEquivalent {
        get(): Promise<{
            exists: boolean;
            data(): object | undefined;
        }>;
        set(record: object): Promise<any>;
    }
}
