export interface RealtimeDbEquivalent {
    ref(path?: string | any | undefined): RealtimeDbEquivalent.Reference;
}
export declare namespace RealtimeDbEquivalent {
    interface Reference {
        transaction(updateFn: (data: any) => any, completeFn?: any): Promise<{
            committed: boolean;
            snapshot: DataSnapshot | null;
        }>;
        once(eventType: "value"): Promise<DataSnapshot>;
    }
    interface DataSnapshot {
        val(): any;
        exists(): boolean;
    }
}
